## org.codehaus.groovy
Class GroovyException

Field Summary
`boolean` | `fatal`

Constructor Summary
`GroovyException()`
`GroovyException(String message)`
`GroovyException(String message, Throwable cause)`
`GroovyException(boolean fatal)`
`GroovyException(String message, boolean fatal)`

Method Summary
`boolean` | `isFatal()`
`void` | `setFatal(boolean fatal)`

Constructor Detail

### GroovyException

    public GroovyException()

### GroovyException

    public GroovyException(String message)

### GroovyException

    public GroovyException(String message, Throwable cause)

### GroovyException

    public GroovyException(boolean fatal)

### GroovyException

    public GroovyException(String message, boolean fatal)

Method Detail

### isFatal

    public boolean isFatal()

### setFatal

    public void setFatal(boolean fatal)